%define upstream_name    multidimensional
%define upstream_version 0.011

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Disables multidmensional array emulation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::OP::Check) >= 0.190.0
BuildRequires: perl(CPAN::Meta) >= 2.112.580
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Lexical::SealRequireHints) >= 0.5.0
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
Provides:   perl(multidimensional)

%description
Perl's multidimensional array emultaion stems from the days before the
language had references, but these days it mostly serves to bite you when
you typo a hash slice by using the '$' sigil instead of '@'.

This module lexically makes using multidmensional array emulation a fatal
error at compile time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.11.0-2.mga4
+ Revision: 525243
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.11.0-1.mga4
+ Revision: 432577
- update to 0.011

* Wed May 29 2013 jquelin <jquelin> 0.10.0-4.mga4
+ Revision: 431859
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-3.mga3
+ Revision: 375514
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 jquelin <jquelin> 0.10.0-2.mga3
+ Revision: 308850
- adding missing provides

* Sun Aug 05 2012 shlomif <shlomif> 0.10.0-1.mga3
+ Revision: 278917
- Missing BR
- imported package perl-multidimensional


* Sun Aug 05 2012 cpan2dist 0.010-1mga
- initial mageia release, generated with cpan2dist
